from __future__ import annotations

from typing import Any
from typing import Dict

from pydantic import Field
from pydantic import model_validator


class VulnerabilitySummary(BaseModel):
    # Summary dict keys added as fields
    critical: int = Field(
        default=0,
        alias="Critical",
        description="The number of critical vulnerabilities detected.",
    )
    high: int = Field(
        default=0,
        alias="High",
        description="The number of critical vulnerabilities detected.",
    )
    medium: int = Field(
        default=0,
        alias="Medium",
        description="The number of critical vulnerabilities detected.",
    )
    low: int = Field(
        default=0,
        alias="Low",
        description="The number of critical vulnerabilities detected.",
    )
    unknown: int = Field(
        default=0,
        alias="Unknown",
        description="The number of critical vulnerabilities detected.",
    )

    @model_validator(mode="before")
    @classmethod
    def _assign_severity_breakdown(cls, values: Dict[str, Any]) -> Dict[str, Any]:
        summary = values.get("summary") or {}  # account for None
        if not isinstance(summary, dict):
            raise ValueError("'summary' must be a dict")
        return {**values, **summary}
